/*
 * QuickSearchShiftTable.cpp
 *
 *  Created on: 23. 2. 2018
 *	  Author: Michal Cvach
 */

#include "QuickSearchShiftTable.h"
#include <registration/AlgoRegistration.hpp>

namespace {

auto QuickSearchShiftTableLinearString = registration::AbstractRegister < string::properties::QuickSearchShiftTable, ext::map < DefaultSymbolType, size_t >, const string::LinearString < > & > ( string::properties::QuickSearchShiftTable::qss );

} /* namespace */
