/*
 * ReversedQuickSearchShiftTable.cpp
 *
 *  Created on: 24. 1. 2020
 *      Author: Jan Travnicek
 */

#include "ReversedQuickSearchShiftTable.h"
#include <registration/AlgoRegistration.hpp>

namespace {

auto ReversedQuickSearchShiftTableLinearString = registration::AbstractRegister < string::properties::ReversedQuickSearchShiftTable, ext::map < DefaultSymbolType, size_t >, const string::LinearString < > & > ( string::properties::ReversedQuickSearchShiftTable::rqss );

} /* namespace */
