/*
 * QuickSearchShiftTable.cpp
 *
 *  Created on: 6. 3. 2018
 *	  Author: Michal Cvach
 */

#include "QuickSearchShiftTable.h"
#include <registration/AlgoRegistration.hpp>

namespace {

auto QuickSearchShiftTablePrefixRankedBarPattern = registration::AbstractRegister < tree::properties::QuickSearchShiftTable, ext::map < common::ranked_symbol < >, size_t >, const tree::PrefixRankedBarPattern < > & > ( tree::properties::QuickSearchShiftTable::bcs );
auto QuickSearchShiftTablePrefixRankedBarNonlinearPattern = registration::AbstractRegister < tree::properties::QuickSearchShiftTable, ext::map < common::ranked_symbol < >, size_t >, const tree::PrefixRankedBarNonlinearPattern < > & > ( tree::properties::QuickSearchShiftTable::bcs );

} /* namespace */
