/*
 * ReversedQuickSearchShiftTable.cpp
 *
 *  Created on: 21. 3. 2018
 *	  Author: Michal Cvach
 */

#include "ReversedQuickSearchShiftTable.h"
#include <registration/AlgoRegistration.hpp>

namespace {

auto ReversedQuickSearchShiftTablePrefixRankedBarPattern = registration::AbstractRegister < tree::properties::ReversedQuickSearchShiftTable, ext::map < common::ranked_symbol < >, size_t >, const tree::PrefixRankedBarPattern < > & > ( tree::properties::ReversedQuickSearchShiftTable::bcs );
auto ReversedQuickSearchShiftTablePrefixRankedBarNonlinearPattern = registration::AbstractRegister < tree::properties::ReversedQuickSearchShiftTable, ext::map < common::ranked_symbol < >, size_t >, const tree::PrefixRankedBarNonlinearPattern < > & > ( tree::properties::ReversedQuickSearchShiftTable::bcs );
auto ReversedQuickSearchShiftTablePrefixRankedPattern = registration::AbstractRegister < tree::properties::ReversedQuickSearchShiftTable, ext::map < common::ranked_symbol < >, size_t >, const tree::PrefixRankedPattern < > & > ( tree::properties::ReversedQuickSearchShiftTable::bcs );
auto ReversedQuickSearchShiftTablePrefixRankedNonlinearPattern = registration::AbstractRegister < tree::properties::ReversedQuickSearchShiftTable, ext::map < common::ranked_symbol < >, size_t >, const tree::PrefixRankedNonlinearPattern < > & > ( tree::properties::ReversedQuickSearchShiftTable::bcs );

} /* namespace */
