/*
 * CompactDFA.cpp
 *
 *  Created on: Mar 25, 2013
 *      Author: Jan Travnicek
 */

#include "CompactDFA.h"

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/CastRegistration.hpp>
#include <registration/ComponentRegistration.hpp>

template class automaton::CompactDFA < >;

namespace {

auto componentsCompactDFA = registration::ComponentRegister < automaton::CompactDFA < > > ( );

auto valuePrinterCompactDFA = registration::ValuePrinterRegister < automaton::CompactDFA < > > ( );

auto compactDFAFromDFA = registration::CastRegister < automaton::CompactDFA < >, automaton::DFA < > > ( );

} /* namespace */
