/*
 * GNF.cpp
 *
 *  Created on: Nov 17, 2013
 *      Author: Jan Travnicek
 */

#include "GNF.h"
#include <grammar/Grammar.h>
#include <object/Object.h>

#include <registration/XmlRegistration.hpp>

namespace {

auto xmlWriteGNF = registration::XmlWriterRegister < grammar::GNF < > > ( );
auto xmlReadGNF = registration::XmlReaderRegister < grammar::GNF < > > ( );

auto xmlGroupGNF = registration::XmlRegisterTypeInGroup < object::Object, grammar::GNF < > > ( );

} /* namespace */
