/*
 * WildcardLinearString.cpp
 *
 *  Created on: Nov 23, 2013
 *      Author: Jan Travnicek
 */

#include "WildcardLinearString.h"

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/CastRegistration.hpp>
#include <registration/ComponentRegistration.hpp>

template class string::WildcardLinearString < >;

namespace {

auto componentsWildcardLinearString = registration::ComponentRegister < string::WildcardLinearString < > > ( );

auto WildcardLinearStringFromString = registration::CastRegister < string::WildcardLinearString < char >, std::string > ( );
auto WildcardLinearStringFromLinearString = registration::CastRegister < string::WildcardLinearString < >, string::LinearString < > > ( );

auto valuePrinterWildcardLinearString = registration::ValuePrinterRegister < string::WildcardLinearString < > > ( );

} /* namespace */
