/*
 * UnorderedRankedTree.cpp
 *
 *  Created on: Nov 30, 2019
 *      Author: Jan Trávníček
 */

#include "UnorderedRankedTree.h"

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/CastRegistration.hpp>
#include <registration/ComponentRegistration.hpp>

template class tree::UnorderedRankedTree < >;

namespace {

auto componentsUnorderedRankedTree = registration::ComponentRegister < tree::UnorderedRankedTree < > > ( );

auto valuePrinterUnorderedRankedTree = registration::ValuePrinterRegister < tree::UnorderedRankedTree < > > ( );

auto UnorderedRankedTreeFromRankedTree = registration::CastRegister < tree::UnorderedRankedTree < >, tree::RankedTree < > > ( );

} /* namespace */
