/*
 * UnrankedPattern.cpp
 *
 *  Created on: Nov 23, 2013
 *      Author: Jan Travnicek
 */

#include "UnrankedPattern.h"

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/CastRegistration.hpp>
#include <registration/ComponentRegistration.hpp>

template class tree::UnrankedPattern < >;

namespace {

auto componentsUnrankedPattern = registration::ComponentRegister < tree::UnrankedPattern < > > ( );

auto valuePrinterUnrankedPattern = registration::ValuePrinterRegister < tree::UnrankedPattern < > > ( );

auto UnrankedPatternFromRankedPattern = registration::CastRegister < tree::UnrankedPattern < >, tree::RankedPattern < > > ( );

} /* namespace */
