/*
 * UnrankedTree.cpp
 *
 *  Created on: Nov 23, 2013
 *      Author: Stepan Plachy
 */

#include "UnrankedTree.h"
#include <object/Object.h>

#include <registration/XmlRegistration.hpp>

namespace {

auto xmlWriteUnrankedTree = registration::XmlWriterRegister < tree::UnrankedTree < > > ( );
auto xmlReadUnrankedTree = registration::XmlReaderRegister < tree::UnrankedTree < > > ( );

auto xmlGroupUnrankedTree = registration::XmlRegisterTypeInGroup < object::Object, tree::UnrankedTree < > > ( );

} /* namespace */
