/*
 * MultiInitialStateNFA.cpp
 *
 * Created on: Sep 26, 2017
 * Author: Jan Travnicek
 */

#include "MultiInitialStateNFA.h"
#include <automaton/Automaton.h>

#include <registration/StringRegistration.hpp>

namespace {

auto stringWriteMultiInitialStateNFA = registration::StringWriterRegister < automaton::MultiInitialStateNFA < > > ( );
auto stringReaderMultiInitialStateNFA = registration::StringReaderRegister < automaton::Automaton, automaton::MultiInitialStateNFA < > > ( );

} /* namespace */
