/*
 * ObjectsPair.cpp
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#include "ObjectsPair.h"

#include <registration/StringRegistration.hpp>

namespace {

auto stringWriteObjectsPair = registration::StringWriterRegister < ext::pair < object::Object, object::Object > > ( );
auto stringReaderObjectsPair = registration::StringReaderRegister < object::Object, ext::pair < object::Object, object::Object > > ( );

auto stringWriteGroupObjectsPair = registration::StringWriterRegisterTypeInGroup < object::Object, ext::pair < object::Object, object::Object > > ( );
auto stringReaderGroupObjectsPair = registration::StringReaderRegisterTypeInGroup < object::Object, ext::pair < object::Object, object::Object > > ( );

} /* namespace */
