/*
 * LinearString.cpp
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#include "LinearString.h"
#include <string/String.h>

#include <registration/StringRegistration.hpp>

namespace {

auto stringWriteLinearString = registration::StringWriterRegister < string::LinearString < > > ( );
auto stringReaderLinearString = registration::StringReaderRegister < string::String, string::LinearString < > > ( );

} /* namespace */
