/*
 * RankedNonlinearPattern.cpp
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#include "RankedNonlinearPattern.h"
#include <tree/Tree.h>

#include <registration/StringRegistration.hpp>

namespace {

auto stringWriteRankedNonlinearPattern = registration::StringWriterRegister < tree::RankedNonlinearPattern < > > ( );
auto stringReaderRankedNonlinearPattern = registration::StringReaderRegister < tree::Tree, tree::RankedNonlinearPattern < > > ( );

} /* namespace */
