/*
 * RankedTree.cpp
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#include "RankedTree.h"
#include <tree/Tree.h>

#include <registration/StringRegistration.hpp>

namespace {

auto stringWriteRankedTree = registration::StringWriterRegister < tree::RankedTree < > > ( );
auto stringReaderRankedTree = registration::StringReaderRegister < tree::Tree, tree::RankedTree < > > ( );

} /* namespace */
