/*
 * UnrankedPattern.cpp
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#include "UnrankedPattern.h"
#include <tree/Tree.h>

#include <registration/StringRegistration.hpp>

namespace {

auto stringWriteUnrankedPattern = registration::StringWriterRegister < tree::UnrankedPattern < > > ( );
auto stringReaderUnrankedPattern = registration::StringReaderRegister < tree::Tree, tree::UnrankedPattern < > > ( );

} /* namespace */
