/*
 * ObjectsTree.cpp
 *
 * Created on: Apr 1, 2013
 * Author: Jan Travnicek
 */

#include "ObjectsTree.h"

#include <registration/XmlRegistration.hpp>

namespace {

auto xmlWriteObjectsTree = registration::XmlWriterRegister < ext::tree < object::Object > > ( );
auto xmlReadObjectsTree = registration::XmlReaderRegister < ext::tree < object::Object > > ( );

auto xmlGroupObjectsTree = registration::XmlRegisterTypeInGroup < object::Object, ext::tree < object::Object > > ( );

} /* namespace */
