/*
 * RealTimeHeightDeterministicNPDA.cpp
 *
 *  Created on: Apr 10, 2013
 *      Author: Jan Travnicek
 */

#include "RealTimeHeightDeterministicNPDA.h"
#include <object/Object.h>

#include <registration/XmlRegistration.hpp>

namespace {

auto xmlWriteRealTimeHeightDeterministicNPDA = registration::XmlWriterRegister < automaton::RealTimeHeightDeterministicNPDA < > > ( );
auto xmlReadRealTimeHeightDeterministicNPDA = registration::XmlReaderRegister < automaton::RealTimeHeightDeterministicNPDA < > > ( );

auto xmlGroupRealTimeHeightDeterministicNPDA = registration::XmlRegisterTypeInGroup < object::Object, automaton::RealTimeHeightDeterministicNPDA < > > ( );

} /* namespace */
