/*
 * CFG.cpp
 *
 *  Created on: Nov 17, 2013
 *      Author: Jan Travnicek
 */

#include "CFG.h"
#include <grammar/Grammar.h>
#include <object/Object.h>

#include <registration/XmlRegistration.hpp>

namespace {

auto xmlWriteCFG = registration::XmlWriterRegister < grammar::CFG < > > ( );
auto xmlReadCFG = registration::XmlReaderRegister < grammar::CFG < > > ( );

auto xmlGroupCFG = registration::XmlRegisterTypeInGroup < object::Object, grammar::CFG < > > ( );

} /* namespace */
