/*
 * EpsilonFreeCFG.cpp
 *
 *  Created on: Nov 17, 2013
 *      Author: Jan Travnicek
 */

#include "EpsilonFreeCFG.h"
#include <grammar/Grammar.h>
#include <object/Object.h>

#include <registration/XmlRegistration.hpp>

namespace {

auto xmlWriteEpsilonFreeCFG = registration::XmlWriterRegister < grammar::EpsilonFreeCFG < > > ( );
auto xmlReadEpsilonFreeCFG = registration::XmlReaderRegister < grammar::EpsilonFreeCFG < > > ( );

auto xmlGroupEpsilonFreeCFG = registration::XmlRegisterTypeInGroup < object::Object, grammar::EpsilonFreeCFG < > > ( );

} /* namespace */
