/*
 * RightRG.cpp
 *
 *  Created on: Nov 17, 2013
 *      Author: Jan Travnicek
 */

#include "RightRG.h"
#include <grammar/Grammar.h>
#include <object/Object.h>

#include <registration/XmlRegistration.hpp>

namespace {

auto xmlWriteRightRG = registration::XmlWriterRegister < grammar::RightRG < > > ( );
auto xmlReadRightRG = registration::XmlReaderRegister < grammar::RightRG < > > ( );

auto xmlGroupRightRG = registration::XmlRegisterTypeInGroup < object::Object, grammar::RightRG < > > ( );

} /* namespace */
