/*
 * ContextPreservingUnrestrictedGrammar.cpp
 *
 *  Created on: Nov 17, 2013
 *      Author: Jan Travnicek
 */

#include "ContextPreservingUnrestrictedGrammar.h"
#include <grammar/Grammar.h>
#include <object/Object.h>

#include <registration/XmlRegistration.hpp>

namespace {

auto xmlWriteContextPreservingUnrestrictedGrammar = registration::XmlWriterRegister < grammar::ContextPreservingUnrestrictedGrammar < > > ( );
auto xmlReadContextPreservingUnrestrictedGrammar = registration::XmlReaderRegister < grammar::ContextPreservingUnrestrictedGrammar < > > ( );

auto xmlGroupContextPreservingUnrestrictedGrammar = registration::XmlRegisterTypeInGroup < object::Object, grammar::ContextPreservingUnrestrictedGrammar < > > ( );

} /* namespace */
