/*
 * UnrestrictedGrammar.cpp
 *
 *  Created on: Nov 17, 2013
 *      Author: Jan Travnicek
 */

#include "UnrestrictedGrammar.h"
#include <grammar/Grammar.h>
#include <object/Object.h>

#include <registration/XmlRegistration.hpp>

namespace {

auto xmlWriteUnrestrictedGrammar = registration::XmlWriterRegister < grammar::UnrestrictedGrammar < > > ( );
auto xmlReadUnrestrictedGrammar = registration::XmlReaderRegister < grammar::UnrestrictedGrammar < > > ( );

auto xmlGroupUnrestrictedGrammar = registration::XmlRegisterTypeInGroup < object::Object, grammar::UnrestrictedGrammar < > > ( );

} /* namespace */
