/*
 * LinearString.cpp
 *
 *  Created on: Nov 23, 2013
 *      Author: Jan Travnicek
 */

#include "LinearString.h"

#include <object/Object.h>

#include <registration/XmlRegistration.hpp>

namespace {

auto xmlWriteLinearString = registration::XmlWriterRegister < string::LinearString < > > ( );
auto xmlReadLinearString = registration::XmlReaderRegister < string::LinearString < > > ( );

auto xmlGroupLinearString = registration::XmlRegisterTypeInGroup < object::Object, string::LinearString < > > ( );

} /* namespace */
