/*
 * PrefixRankedTree.cpp
 *
 *  Created on: Nov 23, 2013
 *      Author: Jan Travnicek
 */

#include "PrefixRankedTree.h"
#include <object/Object.h>

#include <registration/XmlRegistration.hpp>

namespace {

auto xmlWritePrefixRankedTree = registration::XmlWriterRegister < tree::PrefixRankedTree < > > ( );
auto xmlReadPrefixRankedTree = registration::XmlReaderRegister < tree::PrefixRankedTree < > > ( );

auto xmlGroupPrefixRankedTree = registration::XmlRegisterTypeInGroup < object::Object, tree::PrefixRankedTree < > > ( );

} /* namespace */
