/*
 * RankedPattern.cpp
 *
 *  Created on: Nov 23, 2013
 *      Author: Jan Travnicek
 */

#include "RankedPattern.h"
#include <object/Object.h>

#include <registration/XmlRegistration.hpp>

namespace {

auto xmlWriteRankedPattern = registration::XmlWriterRegister < tree::RankedPattern < > > ( );
auto xmlReadRankedPattern = registration::XmlReaderRegister < tree::RankedPattern < > > ( );

auto xmlGroupRankedPattern = registration::XmlRegisterTypeInGroup < object::Object, tree::RankedPattern < > > ( );

} /* namespace */
