/*
 * RankedTree.cpp
 *
 *  Created on: Nov 23, 2013
 *      Author: Stepan Plachy
 */

#include "RankedTree.h"
#include <object/Object.h>

#include <registration/XmlRegistration.hpp>

namespace {

auto xmlWriteRankedTree = registration::XmlWriterRegister < tree::RankedTree < > > ( );
auto xmlReadRankedTree = registration::XmlReaderRegister < tree::RankedTree < > > ( );

auto xmlGroupRankedTree = registration::XmlRegisterTypeInGroup < object::Object, tree::RankedTree < > > ( );

} /* namespace */
