/*
 * PrefixBarTree.cpp
 *
 *  Created on: Nov 23, 2013
 *      Author: Jan Travnicek
 */

#include "PrefixBarTree.h"
#include <object/Object.h>

#include <registration/XmlRegistration.hpp>

namespace {

auto xmlWritePrefixBarTree = registration::XmlWriterRegister < tree::PrefixBarTree < > > ( );
auto xmlReadPrefixBarTree = registration::XmlReaderRegister < tree::PrefixBarTree < > > ( );

auto xmlGroupPrefixBarTree = registration::XmlRegisterTypeInGroup < object::Object, tree::PrefixBarTree < > > ( );

} /* namespace */
