/*
 * ObjectsSet.cpp
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#include "ObjectsSet.h"

#include <registration/StringRegistration.hpp>

namespace {

auto stringWriteObjectsSet = registration::StringWriterRegister < ext::set < object::Object > > ( );
auto stringReadedObjectsSet = registration::StringReaderRegister < object::Object, ext::set < object::Object > > ( );

auto stringWriteGroupObjectsSet = registration::StringWriterRegisterTypeInGroup < object::Object, ext::set < object::Object > > ( );
auto stringReadedGroupObjectsSet = registration::StringReaderRegisterTypeInGroup < object::Object, ext::set < object::Object > > ( );

} /* namespace */
