/*
 * ObjectsVector.cpp
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#include "ObjectsVector.h"

#include <registration/StringRegistration.hpp>

namespace {

auto stringWriteObjectsVector = registration::StringWriterRegister < ext::vector < object::Object > > ( );
auto stringReadedObjectsVector = registration::StringReaderRegister < object::Object, ext::vector < object::Object > > ( );

auto stringWriteGroupObjectsVector = registration::StringWriterRegisterTypeInGroup < object::Object, ext::vector < object::Object > > ( );
auto stringReadedGroupObjectsVector = registration::StringReaderRegisterTypeInGroup < object::Object, ext::vector < object::Object > > ( );

} /* namespace */
