/*
 * NonContractingGrammar.cpp
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#include "NonContractingGrammar.h"
#include <grammar/Grammar.h>

#include <registration/StringRegistration.hpp>

namespace {

auto stringWriteNonContractingGrammar = registration::StringWriterRegister < grammar::NonContractingGrammar < > > ( );
auto stringReaderNonContractingGrammar = registration::StringReaderRegister < grammar::Grammar, grammar::NonContractingGrammar < > > ( );

} /* namespace */
