/*
 * UnboundedRegExp.cpp
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#include "UnboundedRegExp.h"
#include <regexp/RegExp.h>
#include <object/Object.h>

#include <registration/StringRegistration.hpp>

namespace {

auto stringWriteUnboundedRegExp = registration::StringWriterRegister < regexp::UnboundedRegExp < > > ( );
auto stringReaderUnboundedRegExp = registration::StringReaderRegister < regexp::RegExp, regexp::UnboundedRegExp < > > ( );

} /* namespace */
