/*
 * Map.cpp
 *
 * Created on: Apr 1, 2013
 * Author: Jan Travnicek
 */

#include "ObjectsMap.h"

#include <registration/XmlRegistration.hpp>

namespace {

auto xmlWriteObjectsMap = registration::XmlWriterRegister < ext::map < object::Object, object::Object > > ( );
auto xmlReadObjectsMap = registration::XmlReaderRegister < ext::map < object::Object, object::Object > > ( );

auto xmlGroupObjectsMap = registration::XmlRegisterTypeInGroup < object::Object, ext::map < object::Object, object::Object > > ( );

} /* namespace */
